%define module  PyQwt

Name:           python-qwt
Version:        5.2.0
Release:        %mkrel 16
Url:            http://pyqwt.sourceforge.net/
License:        GPLv2+
Group:          Development/Python
Summary:        Python bindings for Qwt (Qt Widgets for Technical applications)
Source0:        http://belnet.dl.sourceforge.net/sourceforge/pyqwt/%{module}-%{version}.tar.gz
Provides:       PyQwt = %{version}-%{release}
Requires:       python-qt4
Requires:       python-sip
Requires:       sip-api(%{_sip_api_major}) >= %{_sip_api}
Requires:       python-numpy
BuildRequires:  python-devel
BuildRequires:  qwt5-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-qt4
BuildRequires:  python-sip

%description
Qwt is an extension to the Qt GUI library. The Qwt library contains
widgets and components which are primarily useful for technical and
scientific purposes. It includes a 2-D plotting widget, different
kinds of sliders, and much more.

PyQwt implements almost all of the functionality of the Qwt library.

%prep
%setup -q -n %{module}-%{version}

%build

cd configure
python configure.py %_smp_mflags \
--extra-cflags="%{optflags}" \
--extra-cxxflags="%{optflags}" \
--extra-lflags="%{?ldflags}" \
--extra-libs="python%{python2_version}" \
-I/usr/include/qwt \
--disable-numeric \
--disable-numarray

%make_build

%install
# do not strip (thus fixing debuginfo):
perl -pi -e 's!strip$!true!' qwt_version_info.mak
perl -pi -e 's!strip !true !' configure/iqt5qt4/Makefile configure/qwt5qt4/Makefile

%make_install -C configure

%files
%doc README ANN* qt4examples
%{py_platsitedir}/*
%_datadir/sip/PyQt4/Qwt5/*


%changelog
* Mon Jun 27 2016 akien <akien> 5.2.0-16.mga6
+ Revision: 1037812
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 5.2.0-15.mga6
+ Revision: 1037516
- Rebuild for python-sip 4.18

* Tue Feb 16 2016 umeabot <umeabot> 5.2.0-14.mga6
+ Revision: 962425
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 5.2.0-13.mga6
+ Revision: 889391
- re-enable debuginfo after fixing striping

* Sat Oct 10 2015 barjac <barjac> 5.2.0-12.mga6
+ Revision: 889350
- disable debug to fix build
- update macros

* Wed Oct 15 2014 umeabot <umeabot> 5.2.0-11.mga5
+ Revision: 749194
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.2.0-10.mga5
+ Revision: 729618
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.2.0-9.mga5
+ Revision: 688300
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 barjac <barjac> 5.2.0-8.mga5
+ Revision: 650282
- remove un-needed BuildRequire: python

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Mar 17 2014 barjac <barjac> 5.2.0-7.mga5
+ Revision: 604594
- rebuild for python-sip

* Sat Oct 19 2013 umeabot <umeabot> 5.2.0-6.mga4
+ Revision: 528346
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 fwang <fwang> 5.2.0-5.mga4
+ Revision: 444686
- more strict sip requires

* Sun Jan 13 2013 umeabot <umeabot> 5.2.0-4.mga3
+ Revision: 379426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 22 2012 barjac <barjac> 5.2.0-3.mga3
+ Revision: 321100
- changed BR qwt5-devel mga #8166

* Sun Nov 18 2012 fwang <fwang> 5.2.0-2.mga3
+ Revision: 319494
- br qwt5

* Fri Dec 30 2011 barjac <barjac> 5.2.0-1.mga2
+ Revision: 189139
- Cleaned, removed obsolete BRs, added missing include dir
- imported package python-qwt

